#!/usr/bin/env perl

# Xmas Contest 2010
# Problem E
# Donuts

# Output Checker

open (IN, $ARGV[0]); @output = <IN>; close (IN);
open (IN, $ARGV[1]); @ansput = <IN>; close (IN);

$max_error = 0.0;

for ($tc = 1; ; ++$tc) {
	if (@ansput == 0) {
		if (@output != 0) {
			die ("Excessive Output", $/);
		}
		last;
	}
	$out = $output[0]; shift (@output);
	$ans = $ansput[0]; shift (@ansput);
	if ($out !~ /[\d\.\-]+/) {
		die ("NaN found, Case $tc", $/);
	}
	$error = abs ($out - $ans);
	print ($error, $/);
	if ($max_error < $error) {
		$max_error = $error;
	}
}

print ('max: ', $max_error, $/);

